<?php
class PostsController extends AppController {//extendsとは拡張しますよ～の意味

var $uses = array('Post');//自分が使うmodelを配列で書きます。今回はひとつだけ
var $layout = 'layout';//レイアウト名は自由に決められる。また、レイアウトはコントローラー一つにつき、１個だけである。

//function index　これがpostsフォルダのインデックスにあたります。
function index($id = null) {//$id = nullはデフォルトNullの設定です。

//findAll(array('name'=>'LIKE 太%'));

//条件はarrayでどんどん追加していきます
$con = array('conditions'=>
	array('Post.category'=>1),
	'order' => array('Post.id DESC'),
	
);



$post = $this->Post->find('all',$con);
//$post = $this->Post->find('all',$conditions);//$conditionsの条件にマッチした全てのデータを表示する、の意味になります

//debug($post);//CakePHP用のデバック関数。Controller内ではechoができません。

$this->set('posts',$post);//SmartyのAssignと同じ。viewに出力用の変数として渡します
}

}

?>